FPGA_LOAD(8)

NAME
ztcfg - reads and loads zaptel.conf

SYNOPSIS
fpga_load [-g|-d] [-v] -D/proc/bus/usb/BUS/DEV fpga_load [-g] [-v] -D/proc/bus/usb/BUS/DEV -I firmware.hex [-b dump.bin] fpga_load -h

DESCRIPTION
fpga_load loads the FPGA firmware to the Xorcom Astribank device. The syntax resembles that of fxload(8).

OPTIONS
-d dump.bin
    Before writing firmware, bump the processed binary file to dump.bin.
-d
    Print Version number bytes from eeprom (to standard output). Implies -g.
-D DEVICE
    Required. The device to read from/write to. This is normally /proc/bus/usb/bus_num/device_num , where bus_num and device_num are the first two numbers in the output of lsusb(8).
-g
    Dump all eeprom data to standard error.
-I fireware_file
    The firmware file to write to the device.
-v
    Be verobse.
-h
    Displays usage message.

SEE ALSO
fxload(8), lsusb(8)

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.